Introduction

US Geological Survey
Introduction

The United States Geological Survey (USGS) website provides a plethora of information. The US Geological Survey plug-in is a historical input collector designed to import water flow and level data from the USGS Water Data website (http://waterdata.usgs.gov/usa/nwis ) into Hach UDG1000 software.

Copyright© 2014 Hach.com, All rights reserved.


Pre-requisites

US Geological Survey
Pre-requisites

The requirements for this driver:

1. UDG1000 software installed on PC.

2. Internet connection.

Copyright© 2014 Hach.com, All rights reserved.


Setup

US Geological Survey
Setup

The first thing to do is determine the Site Number you want to pull data from. This site number is an 8 to 15 digit number (zero filled) and can be found by using the site query at:

http://infotrek.er.usgs.gov/nawqa_queries/jsp/sitemaster.jsp

Step 1: Select the query type from the drop down; either Surface Water, Groundwater, or All Sites.

Step 2: Define the query parameters by selecting state, county and any of the other parameters.

Step 3: Click on Submit Query at the bottom of the page.

The query parameters will remain on the browser webpage, and the bottom will extend to show results. The “station Id” columns are the ID numbers to enter into the “USGS Site Number” in UDG 1000.

NOTE: Make sure to include the leading zeroes (0).

Now we are ready to configure the UDG 1000 plug-in.

1. Run UDG1000 and select “Input” collectors.

2. Click the Add button to add a collector and choose US Geological Survey plug-in.

3. Give it a name and click Save.

4. Enter the station Id and click the Add button to add it to the list.

So to get values from Rio Grande River below Cochiti Dam, NM the “USGS Site Number” is 08317400. We will add that to our list and save this collection configuration.

NOTE: Make sure to include the leading zeroes (0) in the text box as shown below.

5. Continue adding site numbers to the list, and when finished click the Save button. The Remove button allows you to remove one site number from the list.

6. Next, click on “Parameters” menu option.

7. The display will show “Source” parameters under “Auto Detect” and includes: site description, parameter description, and the codes to locate the data point (Site Number, Unique ID, and Parameter Code).

8. Select parameters on the left and click the green arrow button to add the “Parameters”. These will be the data points that get collected.

9. One nice feature here is the ability to rename the “Name” field to something that makes sense.

In this example, we changed the “Name” to use RGBCD for this site and a short name of the parameter description, like pH. Now we add more sites and differentiate between the names, because the “Name” makes better sense.

10. We have enabled collecting data, now we need to set up automatic collection. Click the “Scheduler” item to set up the schedule for this collector.

11. After clicking the “Enabled” box, you can manipulate the “Import Schedule”.

It has been our experience that data is updated for most sites, every 15 minutes, and the update on the website vary between locations. So “Minutely” and “Hourly” will not get any data until the website has been updated. It will get you the latest data point, and works fine as long as it will not interfere with other things your computer is doing. For our example, we set it to daily and to run 15 minutes after 1 AM local time.

12. There is also a “Manual Import” that will allow you to manual import specific data points for a specific date range.

This is very useful since data on the website is “Provisional” and at some future date, it will be “Approved” which the values may or may not change. In our experience this also varies from site to site.

13. We can see our data as currently as the data is updated, which will dependent on the site. Click on “View Data” to see the following screen. Notice that the “Parameter” column uses the names we used, so we can easily identify them.

14. Double click a “Parameter” and you will be allowed to view information for a particular date range.

Troubleshooting

The following section shows how to see the raw data the collector uses when importing data.

The cross reference to the US Geological Survey data consists of a “Site Number”, a “Unique ID”, and a “Parameter Code”. These can be manually researched from the water data USGS website:

http://waterdata.usgs.gov/usa/nwis/uv?site_no=08317400

1. Change the number after “site_no=” to the site Id you are researching.

2. Open a web browser and enter the above link with the site Id you need, the page should look similar to this:

3. Select “Tab-separated”.

4. Enter “Begin date” and “End date”.

5. Click the GO button, the next web page should show something like the following:

On this screen you will find the site Id, the parameters available for this site, and values at the bottom of the page with the date and time.

The “Unique ID” in UDG comes from the column labeled “DD”.

The “Parameter Code” is the column labeled “parameter”.

It is possible to have the same parameter code in this list. To compensate for this scenario, the “DD” column was added to the cross reference. What we have seen is when there are duplicate parameter codes; the “DD” column was what distinguished the two parameters.

Copy information to Excel:

If you want to verify a value at a specific date and time, it might be easier to copy and paste the web page data into Excel. Directly coping doesn’t work so well, but what we have found out that copying and pasting in Notepad first, and then copying from Notepad to Excel – seems to put the values in columns. This way you can look down the column you want to research.

For example, if I want to look at Turbidity, I can see that its’ cross reference is going to be 19 and 63680. I look for column 19_63680 and look down the column, as shown below:

The column preceding the value will tell you the data value qualification. In this case “P” which is Provisional.

Copyright© 2014 Hach.com, All rights reserved.